--忍者前瞻任务第一梦境
--/callluafunc </F>User_PlayPlot</N>9


-- 设置摄像机指向位置(网格坐标)
	CppScriptMgr:SetViewPosByCell(35, 35)
	--生成玩家和对话npc模型

	local player1 = CppScriptMgr:AddSimplePlayer(1058520,35,28,'Kosuke',4003000071,1)
	local hero = CppScriptMgr:QueryHero()
	player1:SetLook(58520)
	hero:SetPos(29,26)
	hero:SetDir(0)

	--生成3个水之国的忍者
	--添加烟雾特效
	--CppScriptMgr:AddEffect("angelwing",346,443)
	--可能需要延迟
	CppScriptMgr:SetLightScreen(1000)
	CppScriptMgr:WaitMilSec(1000)
	CppScriptMgr:AddEffect("poisonblast_coat02",35,42)
	CppScriptMgr:AddEffect("poisonblast_coat02",29,36)
	CppScriptMgr:AddEffect("poisonblast_coat02",40,40)
	CppScriptMgr:WaitMilSec(500)
	--中间的
	local player2 = CppScriptMgr:AddSimplePlayer(1058254,35,42,'WaterlandNinja',4003000072,1)

	local player3 = CppScriptMgr:AddSimplePlayer(1058254,29,36,'WaterlandNinja',4003000073,1)
	local player4 = CppScriptMgr:AddSimplePlayer(1058254,40,40,'WaterlandNinja',4003000074,1)


	
	CppScriptMgr:WaitMilSec(1000)
	player2:Say("Catch you! Spy from the Fireland!", 3000)
	CppScriptMgr:WaitMilSec(3000)
	--死亡动作1秒 之后将他移出
	--player1:SetAction(330)
	--CppScriptMgr:WaitMilSec(1000)
	--player1:SetPos(20,30)
	player1:Say("You are assassins from the Waterland!",3000)
	CppScriptMgr:WaitMilSec(3000)
	--玩家和npc对视
	player1:SetLook(58522)
	hero:SetDir(6)
	player1:Say("What? Who are you?",3000)
	CppScriptMgr:WaitMilSec(3000)
	hero:Say("I told you I was not an assassin.",3000)
	CppScriptMgr:WaitMilSec(3000)

	--转头 面向敌方忍者
	player1:SetLook(58520)
	hero:SetDir(0)
	
	player2:Say("Just kill you, and no one can stop me from going to the Fireland.",1000)
	CppScriptMgr:WaitMilSec(3000)

	player1:Say("Stop joking!",1000)
	CppScriptMgr:WaitMilSec(3000)

	--这些里面可以添加动作	
	player2:Say("Surrender. We are intermediate Ninjas and you are just a junior Ninja. Stop struggling.",1000)
	CppScriptMgr:WaitMilSec(3000)

	player1:Say("Do you know why the Fireland sent a junior Ninja like me to defend here?",1000)
	CppScriptMgr:WaitMilSec(3000)
	
	player2:Say("Well, I guess they have no better options!",1000)
	CppScriptMgr:WaitMilSec(3000)

	player1:Say("No better options? I have to teach you guys a lesson. I am the strongest junior Ninja in the Fireland -- ",1000)
	CppScriptMgr:WaitMilSec(1000)
	
	player1:Say("Kosuke!",1000)
	CppScriptMgr:WaitMilSec(1000)
	player1:JumpTo(35,39)
	CppScriptMgr:WaitMilSec(1000)
	player1:SetAction(401)
	--黑屏后结束 返回副本刷怪
	CppScriptMgr:SetDarkScreen(1000);
	CppScriptMgr:WaitMilSec(1000)
------------------------------------------------------------


